%% Start of file `class-tuwien.cls'.
% TUWien exercises Class File
%
% Author:
% Andreas Merckel <andreas.merckel@tuwien.ac.at>
%
% Notes:
% 1) This class file defines the structure and layout of the template file.
% 2) It has been written in such a way that under most circumstances you
% should not need to edit it.
%
% Class license:
% LPPL v1.3c (http://www.latex-project.org/lppl)
%

%%
% Identification
%%
\ProvidesClass{class-tuwien}[2020/10/15 v0.0.1 TUWien Exercise Class]
\NeedsTeXFormat{LaTeX2e}

%%
% Class options need to be done before the external package loading,
% for example we need
% \paperwidth, \paperheight and \@ptsize to be defined before loading
% geometry and fancyhdr)
%%
% Options for draft or final
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\DeclareOption{final}{\setlength\overfullrule{0pt}}
% Inherit options of article
\DeclareOption*{%
  \PassOptionsToClass{\CurrentOption}{article}
}
\ProcessOptions\relax
\LoadClass{article}

%%
% 3rd party packages
%%
\RequirePackage[utf8]{inputenc}
\RequirePackage{url}
\RequirePackage{hyperref}
\RequirePackage{array}
\RequirePackage{enumitem}
\RequirePackage{ragged2e}
\RequirePackage{geometry}
\RequirePackage{fancyhdr}
% codeability packages
\RequirePackage{macros-code}

%%
% Configuration for page layout
%%
% Configure page margins with geometry
\geometry{margin=2cm}
\pagestyle{fancy}

\fancyhf{}
\renewcommand\headrulewidth{0.4pt}
\renewcommand\footrulewidth{0.4pt}
\setlength{\headheight}{14.5pt}
\setlength\parindent{0pt}

\lhead{TUWien}
\rhead{Programmieren}
\lfoot{\today}
\rfoot{Seite \thepage}

\sloppy
